Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.jstl.fmt
Class LocalizationContext

    java.lang.Object
      javax.servlet.jsp.jstl.fmt.LocalizationContext

    public class LocalizationContext

extends Object

Class representing an I18N localization context.

An I18N localization context has two components: a resource bundle and the locale that led to the resource bundle match.

The resource bundle component is used by <fmt:message> for mapping message keys to localized messages, and the locale component is used by the <fmt:message>, <fmt:formatNumber>, <fmt:parseNumber>, <fmt:formatDate>, and <fmt:parseDate> actions as their formatting or parsing locale, respectively.

Author:
  Jan Luehe

Constructor Summary
`LocalizationContext()` Constructs an empty I18N localization context.
`LocalizationContext(ResourceBundle bundle)` Constructs an I18N localization context from the given resource bundle.
`LocalizationContext(ResourceBundle bundle, Locale locale)` Constructs an I18N localization context from the given resource bundle and locale.

Method Summary
`Locale` | `getLocale()` Gets the locale of this I18N localization context.
`ResourceBundle` | `getResourceBundle()` Gets the resource bundle of this I18N localization context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizationContext

    public LocalizationContext()

  Constructs an empty I18N localization context.

### LocalizationContext

    public LocalizationContext(ResourceBundle bundle,
                               Locale locale)

  Constructs an I18N localization context from the given resource bundle and locale.

  The specified locale is the application- or browser-based preferred locale that led to the resource bundle match.

  Parameters:
    `bundle` - The localization context's resource bundle
    `locale` - The localization context's locale

### LocalizationContext

    public LocalizationContext(ResourceBundle bundle)

  Constructs an I18N localization context from the given resource bundle.

  The localization context's locale is taken from the given resource bundle.

  Parameters:
    `bundle` - The resource bundle

Method Detail

### getResourceBundle

    public ResourceBundle getResourceBundle()

  Gets the resource bundle of this I18N localization context.

  Returns:
    The resource bundle of this I18N localization context, or null if this I18N localization context is empty

### getLocale

    public Locale getLocale()

  Gets the locale of this I18N localization context.

  Returns:
    The locale of this I18N localization context, or null if this I18N localization context is empty, or its resource bundle is a (locale-less) root resource bundle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.